Index: contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-arm-rtems4.10-binutils
 Requires:	rtems-4.10-arm-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -340,5 +340,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -610,5 +610,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-arm-rtems4.10-binutils
-# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -628,5 +628,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -802,5 +802,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -823,5 +823,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-avr-rtems4.10-binutils
 Requires:	rtems-4.10-avr-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -328,5 +328,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -597,5 +597,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-avr-rtems4.10-binutils
-# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -615,5 +615,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -728,5 +728,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -749,5 +749,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-bfin-rtems4.10-binutils
 Requires:	rtems-4.10-bfin-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -340,5 +340,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -610,5 +610,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-bfin-rtems4.10-binutils
-# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -628,5 +628,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -802,5 +802,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -823,5 +823,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-h8300-rtems4.10-binutils
 Requires:	rtems-4.10-h8300-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -340,5 +340,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -610,5 +610,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-h8300-rtems4.10-binutils
-# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -628,5 +628,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -802,5 +802,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -823,5 +823,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-i386-rtems4.10-binutils
 Requires:	rtems-4.10-i386-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -340,5 +340,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -610,5 +610,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-i386-rtems4.10-binutils
-# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -628,5 +628,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -802,5 +802,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -823,5 +823,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-lm32-rtems4.10-binutils
 Requires:	rtems-4.10-lm32-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -340,5 +340,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -610,5 +610,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-lm32-rtems4.10-binutils
-# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -628,5 +628,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -802,5 +802,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -823,5 +823,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-m32c-rtems4.10-binutils
 Requires:	rtems-4.10-m32c-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -328,5 +328,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -597,5 +597,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32c-rtems4.10-binutils
-# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -615,5 +615,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -729,5 +729,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -750,5 +750,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-m32r-rtems4.10-binutils
 Requires:	rtems-4.10-m32r-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -328,5 +328,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -597,5 +597,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32r-rtems4.10-binutils
-# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -615,5 +615,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -729,5 +729,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -750,5 +750,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-m68k-rtems4.10-binutils
 Requires:	rtems-4.10-m68k-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -340,5 +340,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -610,5 +610,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m68k-rtems4.10-binutils
-# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -628,5 +628,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -802,5 +802,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -823,5 +823,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-mips-rtems4.10-binutils
 Requires:	rtems-4.10-mips-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -340,5 +340,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -610,5 +610,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-mips-rtems4.10-binutils
-# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -628,5 +628,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -802,5 +802,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -823,5 +823,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-powerpc-rtems4.10-binutils
 Requires:	rtems-4.10-powerpc-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -340,5 +340,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -610,5 +610,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-powerpc-rtems4.10-binutils
-# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -628,5 +628,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -802,5 +802,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -823,5 +823,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-sh-rtems4.10-binutils
 Requires:	rtems-4.10-sh-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -340,5 +340,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -610,5 +610,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sh-rtems4.10-binutils
-# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -628,5 +628,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -802,5 +802,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -823,5 +823,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 32c58e173b6a2b08d207c6007a721df2c4abd909)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision d38c8309261fb6ce557b0630a6d7ac0ccf661669)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	9%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -233,5 +233,5 @@
 Requires:	rtems-4.10-sparc-rtems4.10-binutils
 Requires:	rtems-4.10-sparc-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -247,5 +247,5 @@
 %if "%{gcc_version}" == "4.4.3"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100210.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.3-rtems4.10-20100315.diff
 %endif
 %if "%{gcc_version}" == "4.4.2"
@@ -340,5 +340,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-9%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-9%{?dist}/newlib-%{newlib_version}-10%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -610,5 +610,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sparc-rtems4.10-binutils
-# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 # License:	GPL
 
@@ -628,5 +628,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-9%{?dist}
+Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-10%{?dist}
 License:	GPL
 
@@ -802,5 +802,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -823,5 +823,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        9%{?dist}
+Release:        10%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
